% 6.888 Wireless Communications Systems
%
% Dina Katabi / Haitham Hassnaieh 
% CSAIL, MIT 
% October 11, 2013
%

addpath ../SRC_CODE
load ../Mat_Files/Test_MP_Circular_R1.mat

MPC1 = compute_multipath_profile_circular(h_T3,n,R2,fc);
MPC2 = compute_multipath_profile_circular(h_T4,n,R2,fc);

m = figure;
subplot(1,2,1);m1=polar(pi*[0:1:360-1]/180,MPC1); title('Multipath Profile ');
subplot(1,2,2);m2=polar(pi*[0:1:360-1]/180,MPC2); title('Multipath Profile ');

saveas(m,'../Results/Result_MP_Circular_2.fig','fig');


