% 6.888 Wireless Communications Systems
%
% Dina Katabi / Haitham Hassnaieh 
% CSAIL, MIT 
% October 11, 2013
%

addpath ../SRC_CODE
load ../Mat_Files/Test_MP_R1.mat

MP1 = compute_multipath_profile_linear(h_T1,n,d,fc);
MP2 = compute_multipath_profile_linear(h_T2,n,d,fc);

ANG1 = angle_of_arrival_linear(h_T1,n,d,fc);
ANG2 = angle_of_arrival_linear(h_T2,n,d,fc);

m = figure;
subplot(1,2,1);m1=polar(pi*[0:1:180-1]/180,MP1); title(strcat('Multipath Profile AoA=',num2str(ANG1)));
subplot(1,2,2);m2=polar(pi*[0:1:180-1]/180,MP2); title(strcat('Multipath Profile AoA=',num2str(ANG2)));

set(m1,'color','r','linewidth',2.5);
set(m2,'color','r','linewidth',2.5);

saveas(m,'../Results/Result_MP.fig','fig');


