% 6.888 Wireless Communications Systems
%
% Dina Katabi / Haitham Hassnaieh 
% CSAIL, MIT 
% October 11, 2013
%

addpath ../SRC_CODE
load ../Mat_Files/Test_MP_SAR_R.mat

MP1 = compute_multipath_profile_sar(h_1,t_1,v,fc);
MP2 = compute_multipath_profile_sar(h_2,t_2,v,fc);
MP3 = compute_multipath_profile_sar(h_3,t_3,v,fc);

m = figure;
subplot(2,3,1);m1=polar(pi*[0:1:180-1]/180,MP1); title('Multipath Profile S1');
subplot(2,3,2);m2=polar(pi*[0:1:180-1]/180,MP2); title('Multipath Profile S2');
subplot(2,3,3);m3=polar(pi*[0:1:180-1]/180,MP3); title('Multipath Profile S3');
set(m1,'color','b','linewidth',1.5);
set(m2,'color','b','linewidth',1.5);
set(m3,'color','b','linewidth',1.5);
subplot(2,3,4);plot([0:1:180-1],MP1);
subplot(2,3,5);plot([0:1:180-1],MP2);
subplot(2,3,6);plot([0:1:180-1],MP3);


saveas(m,'../Results/Result_MP_sar.fig','fig');


