% 6.888 Wireless Communications Systems
%
% Dina Katabi / Haitham Hassnaieh 
% CSAIL, MIT 
% October 11, 2013
%

addpath ../SRC_CODE
load ../Mat_Files/Test_Localization_R.mat

nearest = find_nearest_ref(MP_1,MP_2,MP_3,MP_4);
MP = [MP_2;MP_3;MP_4];
MP_N1 = MP(nearest,:);
CV =['b';'k';'g'];
C1 = CV(nearest,:);

nearest = find_nearest_ref(MP_5,MP_6,MP_7,MP_8);
MP = [MP_5;MP_6;MP_8];
MP_N2 = MP(nearest,:);
CV =['b';'k';'g'];
C2 = CV(nearest,:);


L = length(MP_1) -1;

m1 = figure;
subplot(1,2,1);polar(pi*[0:1:L]/180,MP_1,'r'); hold on; polar(pi*[0:1:L]/180,MP_N1,C1);
subplot(1,2,2);plot([0:1:L],MP_1,'r'); hold on;plot([0:1:L],MP_N1,C1);
title('Multipath Profiles of 4 Tags');

m2 = figure;
subplot(1,2,1);polar(pi*[0:1:L]/180,MP_5,'r'); hold on; polar(pi*[0:1:L]/180,MP_N2,C2);
subplot(1,2,2);plot([0:1:L],MP_5,'r'); hold on;plot([0:1:L],MP_N2,C2);
title('Multipath Profiles of 4 Tags');

saveas(m1,'../Results/Result_MP_dtw1.fig','fig');
saveas(m2,'../Results/Result_MP_dtw2.fig','fig');


