% 6.888 Wireless Communications Systems
%
% Dina Katabi / Haitham Hassnaieh 
% CSAIL, MIT 
% October 11, 2013
%

addpath ../SRC_CODE
load ../Mat_Files/Test_AoA_Linear_R4.mat

est_ang = zeros(1,length(d_vec));

for k=1:1:length(d_vec)
    
    est_ang(k) = angle_of_arrival_linear(h_vec(k,1:n),n,d_vec(k),fc);
    
end

m = figure;
plot(d_vec*100,est_ang); axis([d_vec(1)*100 d_vec(end)*100 -pi pi]);ylabel('Estimated Angle of Arrival');xlabel('Separation Between Antennas (d in cm)');title('Linear Array Angle of Arrival vs Antenna Separation');

saveas(m,'../Results/Result_AoA_vs_d.fig','fig');


