% 6.888 Wireless Communications Systems
%
% Dina Katabi / Haitham Hassnaieh 
% CSAIL, MIT 
% October 11, 2013
%

addpath ../SRC_CODE
load ../Mat_Files/Test_AoA_Linear_R3.mat

est_ang = zeros(1,length(fc_vec));

for k=1:1:length(fc_vec)
    
    est_ang(k) = angle_of_arrival_linear(h_vec(k,1:n),n,d,fc_vec(k));
    
end

m = figure;
plot(fc_vec/1e9,est_ang); axis([fc_vec(1)/1e9 fc_vec(end)/1e9 -pi pi]);ylabel('Estimated Angle of Arrival');xlabel('Carrier Frequency (fc in GHz)');title('Linear Array Angle of Arrival vs Carrier Frequency');

saveas(m,'../Results/Result_AoA_vs_fc.fig','fig');


