% 6.888 Wireless Communications Systems
%
% Dina Katabi / Haitham Hassnaieh 
% CSAIL, MIT 
% October 11, 2013
%

addpath ../SRC_CODE
load ../Mat_Files/Test_AoA_Linear_R5.mat

est_ang = zeros(1,length(n_vec));

for k=1:1:length(n_vec)
    
    est_ang(k) = angle_of_arrival_linear(h_vec{k},n_vec(k),d,fc);
    
end

m = figure;
plot(n_vec,est_ang); axis([n_vec(1) n_vec(end) -pi pi]);ylabel('Estimated Angle of Arrival');xlabel('Number of Antennas (n)');title('Linear Array Angle of Arrival vs Number of Antennas');

saveas(m,'../Results/Result_AoA_vs_n.fig','fig');


