% 6.888 Wireless Communications Systems
%
% Dina Katabi / Haitham Hassnaieh 
% CSAIL, MIT 
% October 11, 2013
%

addpath ../SRC_CODE
load ../Mat_Files/Test_MP_Circular_R2.mat

MPC = compute_multipath_profile_circular(h_c,n,R,fc);
MPL = compute_multipath_profile_linear(h_l,n,d,fc);

m = figure;
subplot(1,2,1);m1=polar(pi*[0:1:360-1]/180,MPC); title('Multipath Profile Circular Array');
subplot(1,2,2);m2=polar(pi*[0:1:180-1]/180,MPL); title('Multipath Profile Linear Array');

saveas(m,'../Results/Result_Linear_vs_Circular.fig','fig');


