% 6.888 Wireless Communications Systems
%
% Dina Katabi / Haitham Hassnaieh 
% CSAIL, MIT 
% October 11, 2013
%

addpath ../SRC_CODE
load ../Mat_Files/Test_Localization_R.mat

L = length(MP_1) -1;

m1 = figure;
subplot(1,2,1);polar(pi*[0:1:L]/180,MP_1,'r'); hold on; polar(pi*[0:1:L]/180,MP_2,'b');polar(pi*[0:1:L]/180,MP_3,'k');polar(pi*[0:1:L]/180,MP_4,'g');
subplot(1,2,2);plot([0:1:L],MP_1,'r'); hold on;plot([0:1:L],MP_2,'b');plot([0:1:L],MP_3,'k');plot([0:1:L],MP_4,'g');
title('Multipath Profiles of 4 Tags');

m2 = figure;
subplot(1,2,1);polar(pi*[0:1:L]/180,MP_5,'r'); hold on; polar(pi*[0:1:L]/180,MP_6,'b');polar(pi*[0:1:L]/180,MP_7,'k');polar(pi*[0:1:L]/180,MP_8,'g');
subplot(1,2,2);plot([0:1:L],MP_5,'r'); hold on;plot([0:1:L],MP_6,'b');plot([0:1:L],MP_7,'k');plot([0:1:L],MP_8,'g');
title('Multipath Profiles of 4 Tags');

saveas(m1,'../Results/Result_MP_ref1.fig','fig');
saveas(m2,'../Results/Result_MP_ref2.fig','fig');


