% 6.888 Wireless Communications Systems
%
% Dina Katabi / Haitham Hassnaieh 
% CSAIL, MIT 
% October 11, 2013
%

addpath ../SRC_CODE
load ../Mat_Files/Test_MP_R1.mat

MP10 = compute_multipath_profile_linear(h_n10,n10,d,fc);
MP15 = compute_multipath_profile_linear(h_n15,n15,d,fc);
MP20 = compute_multipath_profile_linear(h_n20,n20,d,fc);

m = figure;
subplot(1,3,1);m1=polar(pi*[0:1:180-1]/180,MP10); title(strcat('Multipath Profile n=',num2str(n10)));
subplot(1,3,2);m2=polar(pi*[0:1:180-1]/180,MP15); title(strcat('Multipath Profile n=',num2str(n15)));
subplot(1,3,3);m3=polar(pi*[0:1:180-1]/180,MP20); title(strcat('Multipath Profile n=',num2str(n20)));

set(m1,'color','r','linewidth',2.5);
set(m2,'color','r','linewidth',2.5);
set(m3,'color','r','linewidth',2.5);

saveas(m,'../Results/Result_MP_vs_n.fig','fig');


