% 6.888 Wireless Communications Systems
%
% Dina Katabi / Haitham Hassnaieh 
% CSAIL, MIT 
% October 11, 2013
%

addpath ../SRC_CODE
load ../Mat_Files/Test_AoA_Linear_R2.mat

est_ang = zeros(1,length(actual_ang));

for k=1:1:length(actual_ang)
    
    est_ang(k) = angle_of_arrival_linear(h_vec(k,1:n),n,d,fc);
    
end

m = figure;
plot(actual_ang,est_ang); axis([-pi pi -pi pi]);ylabel('Estimated Angle of Arrival');xlabel('Actual Angle of Arrival');title('Linear Array Angle of Arrival');

saveas(m,'../Results/Result_AoA_Linear.fig','fig');


